CMSIS-Driver: WiFi Socket Address Family definitions

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
WiFi Socket Address Family definitions
WiFi Socket

WiFi Socket Address Family definitions. More...

## Macros

#define | ARM_SOCKET_AF_INET 1
| IPv4. More...
#define | ARM_SOCKET_AF_INET6 2
| IPv6. More...

## Description

WiFi Socket Address Family definitions.

The WiFi Socket Address Family specifies the addressing scheme that an instance of the WiFi socket can use.

## Macro Definition Documentation

#define ARM_SOCKET_AF_INET 1

IPv4.

Internet Address Family version 4.

#define ARM_SOCKET_AF_INET6 2

IPv6.

Internet Address Family version 6.